Change log for loudmouth package in Ubuntu

146 of 46 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-18
Deleted in disco-proposed (Reason: moved to release)
loudmouth (1.5.3-5) unstable; urgency=medium

  * Add support for IPv6 (Closes: #921195)
  * Move maintainership from Gnome team to XMPP team

 -- W. Martin Borgert <email address hidden>  Sun, 17 Feb 2019 22:34:08 +0000

Available diffs

Superseded in disco-release on 2019-02-18
Deleted in disco-proposed on 2019-02-19 (Reason: moved to release)
loudmouth (1.5.3-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * debian/libloudmouth1-0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <email address hidden>  Fri, 28 Dec 2018 09:16:13 -0500

Available diffs

Superseded in disco-release on 2019-01-08
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-12-22
Deleted in bionic-proposed (Reason: moved to release)
loudmouth (1.5.3-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <email address hidden>  Thu, 21 Dec 2017 15:25:14 -0500

Available diffs

Superseded in bionic-release on 2017-12-22
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
loudmouth (1.5.3-2) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump Standards-Version to 3.9.8.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <email address hidden>  Wed, 21 Sep 2016 13:06:37 +0200

Available diffs

Superseded in yakkety-release on 2016-09-30
Deleted in yakkety-proposed on 2016-10-02 (Reason: moved to release)
loudmouth (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop libloudmouth1-0-dbg now that we have automatic dbgsym packages.
  * Bump Standards-Version to 3.9.7.
  * Bump Build-Depends on libgnutls28-dev to (>= 3.0.20) as per configure.ac.
  * The upstream tarball no longer includes autogen.sh, so run gtkdocize and
    autoreconf directly via DEB_DH_AUTORECONF_ARGS.

 -- Michael Biebl <email address hidden>  Sun, 28 Feb 2016 16:08:41 +0100
Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2016-02-22
Deleted in xenial-proposed (Reason: moved to release)
loudmouth (1.5.2-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <email address hidden>  Wed, 17 Feb 2016 22:26:22 +0000
Superseded in xenial-release on 2016-02-22
Deleted in xenial-proposed on 2016-02-23 (Reason: moved to release)
loudmouth (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Use DEB_DH_AUTORECONF_ARGS += ./autogen.sh so gtkdocize is run as part of
    autoreconf.
  * Drop debian/patches/06_-lasyncns.patch, merged upstream.

 -- Michael Biebl <email address hidden>  Sun, 31 Jan 2016 16:39:59 +0100

Available diffs

Superseded in xenial-release on 2016-02-01
Deleted in xenial-proposed on 2016-02-02 (Reason: moved to release)
loudmouth (1.5.1-1) unstable; urgency=medium

  * New upstream release from https://mcabber.com. (Closes: #733993)
  * Update watch file for new upstream location, enable PGP signature
    validation.
  * Drop obsolete Conflicts against libloudmouth-dev.
  * Mention new maintainer in debian/copyright.
  * Drop non-existing --enable-idn configure flag, IDN support is autodetected
    and can't be enabled explicitly.
  * Update symbols file with new API additions.
  * Bump debhelper compatibility level to 9.
  * Strip debian/tmp/ from .install files.
  * Convert to multiarch.
  * Refresh debian/patches/06_-lasyncns.patch and drop the other patches, all
    merged upstream.
  * Bump Standards-Version to 3.9.6.
  * Add Homepage field.
  * Drop versioned Build-Depends on dpkg-dev, as even the version in oldstable
    is newer.

 -- Michael Biebl <email address hidden>  Fri, 13 Nov 2015 11:17:43 +0100

Available diffs

Superseded in xenial-release on 2015-11-13
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
loudmouth (1.4.3-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * 10_gnutls34.diff: Use GnuTLS priority
    "NORMAL:+CTYPE-X.509:+CTYPE-OPENPGP:+COMP-DEFLATE" instead of functions
    removed in GnuTLS 3.4 (gnutls_certificate_type_set_priority() and
    gnutls_compression_set_priority(). Closes: #624047
    Patch by Myhailo Danylenko <email address hidden> from
    https://github.com/mcabber/loudmouth, unfuzzed for 1.4.3.

 -- Andreas Metzler <email address hidden>  Sat, 25 Jul 2015 14:09:37 +0200

Available diffs

Superseded in wily-release on 2015-08-09
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
loudmouth (1.4.3-12) unstable; urgency=medium


  * Team upload
    - brown paper bag release.
  * Also make libloudmount1-dev depend on libgnutls28-dev
    - like the build-dependency, this drops libgnutls-dev (gnutls26)

 -- Andreas Henriksson <email address hidden>  Sat, 05 Jul 2014 13:04:37 +0200

Available diffs

Superseded in utopic-release on 2014-07-29
Published in trusty-release on 2013-11-06
Deleted in trusty-proposed (Reason: moved to release)
loudmouth (1.4.3-10) unstable; urgency=low


  * Team upload.
  * 09-libcheck-pthread.patch: new patch by Matthias Klose. Fixes build
    failure, correcting the the configure check for the check library, and
    manually add -lpthread (see #712140). Closes: #713710.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- S├ębastien Villemot <email address hidden>  Sun, 03 Nov 2013 20:52:23 +0100
Superseded in trusty-release on 2013-11-06
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
loudmouth (1.4.3-9ubuntu1) saucy; urgency=low

  * Fix build failure, correcting the the configure check for the
    check library, and manually add -lpthread (see ##712140). Closes: #713710.
 -- Matthias Klose <email address hidden>   Wed, 16 Oct 2013 02:14:11 +0200
Superseded in saucy-release on 2013-10-16
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
loudmouth (1.4.3-9) unstable; urgency=low


  * Team upload.
  * debian/patches/08-fix-ipv6-connect.patch: Fix crash when falling back
    from IPv6 to IPv4. Thanks to Michael Stapelberg for the patch.
    Closes: #631729

 -- S├ębastien Villemot <email address hidden>  Sun, 03 Feb 2013 17:07:05 +0100

Available diffs

Superseded in raring-release on 2013-02-04
Obsolete in quantal-release on 2015-04-24
Superseded in quantal-release on 2012-06-15
Published in precise-release on 2012-04-02
loudmouth (1.4.3-8) unstable; urgency=low


  * Switch to dpkg source format 3.0 (quilt).
  * Use dh-autoreconf:
    - Drop debian/patches/90_autoreconf.patch
    - Add Build-Depends on dh-autoreconf.
    - Include /usr/share/cdbs/1/rules/autoreconf.mk in debian/rules.
  * debian/patches/07-glib-single-include.patch: Fix build failure with
    glib 2.32. where including individual glib headers is no longer allowed.
    Closes: #665576
  * debian/libloudmouth1-0.symbols: Strip debian revision from symbol
    versions.
  * debian/copyright: Add copyright information.

 -- Michael Biebl <email address hidden>  Mon, 26 Mar 2012 00:42:14 +0200

Available diffs

Superseded in precise-release on 2012-04-02
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
loudmouth (1.4.3-7) unstable; urgency=low

  * debian/patches/06_-lasyncns.patch:
    - Move libasyncns from Libs to Libs.private. It's not needed
      to link dynamically and that's causing build failures in
      other packages because we don't depend on libasyncns-dev.
      Closes: #605992.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  06 Dec 2010 12:54:13 +0000

Available diffs

Superseded in natty-release on 2010-12-06
loudmouth (1.4.3-6) unstable; urgency=low

  [ Tanguy Ortolo ]
  * debian/patches/05-use-packaged-libasyncns.patch: Use packaged libasyncns
    instead of embedded one. (Closes: #566143)
  * debian/patches/90_autoreconf.patch: Run libtoolize and autoreconf on top
    of the above patch.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Build depend on libasyncns-dev.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  03 Dec 2010 16:47:49 +0000

Available diffs

Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
loudmouth (1.4.3-5) unstable; urgency=low

  * Use both whitespace and TCP keepalives. Some routers don't notice TCP
    keepalive and some XMPP server time out clients after a certain amount
    of idleness on the application layer (Openfire). (Closes: #520572)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  21 Dec 2009 10:43:50 +0000

Available diffs

Superseded in lucid-release on 2009-12-21
Obsolete in karmic-release on 2013-03-04
loudmouth (1.4.3-4) unstable; urgency=low

  * debian/rules, debian/watch: use ftp.gnome.org
  * debian/patches/04-use-pkg-config-for-gnutls.patch: Use pkg-config to
    look for gnutls. Closes: #529835.
  * debian/patches/90_autoreconf.patch: Run autoreconf on top of the
    above patch.
  * debian/control.in: Let libloudmouth1-0-dbg and libloudmouth1-dev depend
    on ${misc:Depends}.
  * Standards-Version is 3.8.2, no changes needed.
  * Inherit section from the source stanza.
  * -dbg package is section debug.
  * Remove note that people won't usually need the -dbg package from its
    description.
  * Run tests during build, build depend on check.

 -- Sebastien Bacher <email address hidden>   Mon,  31 Aug 2009 14:55:35 +0100

Available diffs

Superseded in karmic-release on 2009-08-31
loudmouth (1.4.3-3) unstable; urgency=low

  * debian/control: Added myself to Uploaders.
  * debian/patches/03-drop-stanzas-on-fail.patch:
    - Added. Drop stanzas that can't be parsed instead of blocking the
      parser. Patch from upstream bug tracker.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  08 Jun 2009 11:00:09 +0100

Available diffs

Superseded in karmic-release on 2009-06-08
loudmouth (1.4.3-2) unstable; urgency=low

  * debian/patches/02-fix-async-resolving.patch
    - Fix sync resolving, patch from upstream git.
  * Enable async DNS resolving

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Jun 2009 10:44:16 +0100

Available diffs

Superseded in karmic-release on 2009-06-01
loudmouth (1.4.3-1) unstable; urgency=low

  * New upstream release
  * patches/01-fix-sasl-md5-digest-uri.patch
    - Added. Fix sasl md5 digest-uri when using SRV lookups, which prevented
      loudmouth from logging into recent versions of ejabberd

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:03:15 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
loudmouth (1.4.2-2) unstable; urgency=high

  * Set -DONLY_TCP_KEEP_ALIVE in CFLAGS as a workaround to revert the 1.4.0 ->
    1.4.1 changes for lenny; closes: #494940.

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
loudmouth (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Bigonville <email address hidden>   Tue,  05 Aug 2008 13:35:43 +0100

Available diffs

Superseded in intrepid-release on 2008-08-05
loudmouth (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Pedro Fragoso <email address hidden>   Tue,  05 Aug 2008 00:14:49 +0100

Available diffs

Superseded in intrepid-release on 2008-08-05
Superseded in intrepid-release on 2008-05-30
Obsolete in hardy-release on 2015-04-24
loudmouth (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 00_xmpp_with_old_style_auth.patch.
  * Enable IDN support. (closes: #463101)

Superseded in hardy-release on 2008-03-10
loudmouth (1.3.3-1ubuntu1) hardy; urgency=low

  * debian/patches/add_obsolete_auth.patch: support the old XEP-0078
    auth method on XMPP 1.0 (patch from Senko Rasic). Fixes auth against
    Livejournal XMPP server.

 -- Matthew Garrett <email address hidden>   Tue, 12 Feb 2008 23:23:39 +0000
Superseded in hardy-release on 2008-02-13
loudmouth (1.3.3-1) unstable; urgency=low

  * New upstream release
  * debian/libloudmouth1-0.symbols: Add a symbols file for loudmouth

 -- Laurent Bigonville <email address hidden>   Wed,  09 Jan 2008 09:10:23 +0000
Superseded in hardy-release on 2008-01-09
loudmouth (1.3.2-1) experimental; urgency=low

  * New upstream release.

Superseded in hardy-release on 2007-11-14
Obsolete in gutsy-release on 2011-09-16
loudmouth (1.2.3-2) unstable; urgency=low

  * Configure with --disable-idn. (closes: #427490)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  13 Jun 2007 10:39:27 +0100
Superseded in gutsy-release on 2007-06-13
loudmouth (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  12 Jun 2007 11:46:26 +0100
Superseded in gutsy-release on 2007-06-12
loudmouth (1.2.2-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix description of the -dbg package.
  * Wrap build-deps and deps.
  * Use http://ftp.imendio.com/pub/imendio/loudmouth/src in copyright.
  * Track all versions in watch file.

  [ Norbert Tretkowski ]
  * New upstream release. (closes: #426684)
  * Added patch from Ubuntu to fix crash when connection_data->connection
    is used as a pointer.

 -- Sebastien Bacher <email address hidden>   Thu,  31 May 2007 10:42:02 +0100
Superseded in gutsy-release on 2007-05-31
loudmouth (1.2.1-1ubuntu1) gutsy; urgency=low

  * Resynchronized with Debian, remaining Ubuntu changes:
    - debian/patches/01-workaround_0_connection_data.patch:
      workaround connection_data->fd == 0. (works around Malone: #64372),
      by Johan Kiviniemi <email address hidden>
  * debian/control.in: Maintainer: Ubuntu MOTU Developers
    <email address hidden>

Superseded in gutsy-release on 2007-05-02
Obsolete in feisty-release on 2009-08-20
loudmouth (1.2.0-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - Fixed leak when closing a connection
    - Escape the resource string (fixes problems with iChat contacts)
    - Stale incoming source destroyed/unreffed
    - Fixed a leak in the synchronous layer
    - Fixed a couple of warning when building on 64 bit alpha
  * debian/patches/01_64bit-clean.patch,
    debian/patches/01_dont_free_parser_while_parsing.patch,
    debian/patches/01_escape_xml_entities.patch:
    - dropped, included upstream.
  * debian/patches/02-workaround-for-LM-59.patch:
    - dropped, fixed differently, doesn't apply anymore.

 -- Daniel Holbach <email address hidden>   Fri,  2 Feb 2007 15:55:45 +0100
Superseded in feisty-release on 2007-02-05
loudmouth (1.1.4-2ubuntu1) feisty; urgency=low

  * Resynchronized with Debian, remaining Ubuntu changes are:
    - debian/patches/01-workaround_0_connection_data.patch:
      workaround connection_data->fd == 0. (works around Malone: #64372),
      by Johan Kiviniemi <email address hidden>
    - debian/patches/02-workaround-for-LM-59.patch: patch taken from
      http://developer.imendio.com/issues/browse/LM-60 to workaround
      LM-59 (Malone: #64618).

Superseded in feisty-release on 2006-12-20
Obsolete in edgy-release on 2008-06-19
loudmouth (1.1.4-0ubuntu3) edgy; urgency=low

  * debian/patches/02-workaround-for-LM-59.patch:
    - apply patch from http://developer.imendio.com/issues/browse/LM-60 to
      workaround LM-59 (Malone: #64618).

 -- Daniel Holbach <email address hidden>   Mon,  9 Oct 2006 09:19:03 +0200
Superseded in edgy-release on 2006-10-09
loudmouth (1.1.4-0ubuntu2) edgy; urgency=low

  * debian/patches/01-workaround_0_connection_data.patch:
    - workaround connection_data->fd == 0. (works around Malone: #64372),
      thanks a lot Johan Kiviniemi <email address hidden>

 -- Daniel Holbach <email address hidden>   Fri,  6 Oct 2006 18:57:12 +0200
Superseded in edgy-release on 2006-10-06
loudmouth (1.1.4-0ubuntu1) edgy; urgency=low

  * New uptream release:
    - 1.1.4:
      - Generate better message IDs
      - Fixed a leaking proxy object
      - Fixed random bugs on connection errors
      - Removed a warning when using proxy
    - 1.1.3:
      - Infinite reading of 0 bytes when disconnected using gnutls
      - Loudmouth exports some internal SHA* functions
      - Fix auto* warning

 -- Daniel Holbach <email address hidden>   Mon, 25 Sep 2006 08:58:27 +0200
Superseded in edgy-release on 2006-09-25
loudmouth (1.1.2-2) unstable; urgency=low

  * Add dependency libloudmouth1-dev -> libgnutls-dev.

Superseded in edgy-release on 2006-07-03
loudmouth (1.0.4-0ubuntu2) edgy; urgency=low

  * debian/control.in:
    - add libgnutls-dev Depends on libloudmouth1-dev.

 -- Daniel Holbach <email address hidden>   Tue, 27 Jun 2006 19:37:12 +0200
Superseded in edgy-release on 2006-06-27
loudmouth (1.0.4-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Fixed issue where no disconnect signal was emitted when connection
      closed during opening
    - Plugged a memory leak in LmConnection
    - Fixed warnings due to uninitialized value
    - Fixed a reentrancy-related issue with LmConnection

 -- Daniel Holbach <email address hidden>   Tue, 27 Jun 2006 19:18:58 +0200
Superseded in edgy-release on 2006-06-27
Obsolete in dapper-release on 2011-09-06
loudmouth (1.0.3-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - 1.0.3:
      - Quick build fix release when building without SSL.
    - 1.0.2:
      - Fixed issue when opening in blocking mode failed.
      - Unregister sources when connection fails to avoid later segfault
      - Fixed an issue where large messages would get trunkated
  * debian/control.in:
    - added check to Build-Depends.

 -- Daniel Holbach <email address hidden>   Tue, 11 Apr 2006 18:38:38 +0200
Superseded in dapper-release on 2006-04-13
Superseded in dapper-release on 2006-03-15
loudmouth (1.0.1-4build1) dapper; urgency=low

  * No-change upload to build against gnutls12.

 -- Martin Pitt <email address hidden>   Thu,  2 Mar 2006 16:20:38 +0100
Superseded in dapper-release on 2006-03-02
Superseded in dapper-release on 2006-02-03
loudmouth (1.0.1-4) unstable; urgency=low


  * Change Build-Depends to libgnutls-dev (#335761)

 -- Ross Burton <email address hidden>  Wed, 26 Oct 2005 09:41:16 +0100
Obsolete in breezy-release on 2008-03-25
loudmouth (1.0.1-1) unstable; urgency=low


  * New upstream release.

 -- Ross Burton <email address hidden>  Wed, 17 Aug 2005 09:35:16 +0100
Obsolete in hoary-release on 2008-03-19
loudmouth (0.17.2-2) unstable; urgency=low


  * debian/patches/lm-ssl-disconnect.diff: Fix crash when SSL servers
    disconnect (closes: #299571)  
  * Add debian/watch

 -- Ross Burton <email address hidden>  Thu, 31 Mar 2005 16:23:44 +0100
Obsolete in warty-release on 2008-01-09
loudmouth (0.17.1-0ubuntu2) warty; urgency=low


  * Use gsize and not gint in connection_in_event, they have different
    sizes, and this caused loudmouth not to work on 64 bit architectures.

 -- Tollef Fog Heen <email address hidden>  Mon, 20 Sep 2004 00:48:09 +0200
146 of 46 results